#include <iostream>

#include <iostream>

int main()
{
    int n, q;
    std::cin >> n >> q;
    int glasovi[n], markos[q];
    for(int i = 0; i < n; i++){
        std::cin >> glasovi[i];
    }

    for(int i = 0; i < q; i++){
       std::cin >> markos[i];
    }
    int medijan;
    if(n%2==0){
         medijan = glasovi[n/2+1];
    }else{
        medijan = glasovi[n/2];
    }
    for(int i = 0; i < q; i++){
        if(markos[i] == medijan){
            std::cout << 0;
        }
    }
    return 0;
}